<?php

/*
 * @copyright NetMonsters <team@netmonsters.ru>
 * @link http://netmonsters.ru
 * @package Majestic
 * @subpackage UnitTests
 * @since 2011-11-24
 *
 * Unit tests for InitializationException class
 */

require_once dirname(__FILE__) . '/../../exception/InitializationException.php';

class InitializationExceptionTest extends PHPUnit_Framework_TestCase
{

    /**
     * @expectedException InitializationException
     */
    public function testInitializationException()
    {
        throw new InitializationException();
    }

    /**
     * @expectedException InitializationException
     * @expectedExceptionMessage InitializationException message
     * @excpectedExceptionCode 1
     */
    public function testInitializationExceptionMessage()
    {
        throw new InitializationException('InitializationException message', 1);
    }
}